php 多线程的问题

安装Pthreads 基本上需要重新编译PHP,加上 --enable-maintainer-zts 参数,但是用这个文档很少;bug会很多很有很多意想不到的问题,生成环境上只能呵呵了,所以这个东西玩玩就算了,真正多线程还是用Python、C等等


在linux中使用php做多线程,需要重新编译php设置为线程安全模式。

网络上也有根据PHP不同的运行模式,选择不同的版本。这个项目就是查看是否是线程安全,如果是:enabled,一般来说应该是ts版,否则是nts版。

现在暂时还不知道php多线程到底问题多不多。没有验证

文章来源: php 多线程的问题

人吐槽 人点赞

猜你喜欢

发表评论

用户名: 密码:
验证码: 匿名发表

你可以使用这些语言

查看评论:php 多线程的问题